#
# spec file for package selene

Name:           selene
Version:        17.7
Release:        %mkrel 3
Summary:        GUI audio-video converter for GNU/Linux
License:        GPL-3.0-or-later
Group:          Video
URL:            https://github.com/teejee2008/selene
Source:         https://github.com/teejee2008/selene/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.xz
Source1:        selene.desktop
Patch0:         %{name}-fix-makefile.patch
Patch1:         %{name}-fix-abstract.patch

BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64gee-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64json-glib-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64x11-devel
BuildRequires: vala
Requires:       coreutils
Requires:       ffmpeg
Requires:       lame
Requires:       mediainfo
Requires:       mkvtoolnix
Requires:       mpv
Requires:       rsync
Requires:       vorbis-tools
Requires:       x264

%description
Utility for converting audio and video files to OGV, MKV, MP4,
WebM, Opus, AAC, FLAC, MP3, and WAV formats. Provides a simple GUI
for converting files to popular formats with powerful command-line
options for automated/unattended encoding.

%prep
%setup -q
%apply_patches

# Use ffmpeg instead of libav in scripts.
find src/share/selene/scripts/ -type f | while read file; do
sed -i 's/avconv/ffmpeg/g' "$file"
done

%build
make %{?_smp_mflags} V=1 \
  CFLAGS="%{optflags}"

%install
%make_install \
  prefix=%{_prefix}

# Remove the uninstaller.
rm %{buildroot}%{_bindir}/%{name}-uninstall

install %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}.desktop

%files
%{_bindir}
%{_datadir}

%changelog
* Thu Mar 09 2023 onkelho <oh.quait at gmail.com> - 17.7-3pclos2023
- rebuild against updated x264 - ffmpeg 5
- Add selene-fix-abstract.patch to fix build with recent versions of vala

* Sun Jul 07 2019 tex - 17.7-2pclos2019
- rebuild against updates

